#include <bits/stdc++.h>

using namespace std;
string s;
long long a[10000]= {},i,j,m,n,k,kk,col,rez,o,t;
int sum(long long n)
{
    int rez=0;
    while(n>0)
    {
        rez+=n%10;
        n/=10;
    }
    return rez;
}
bool smit(long long r)
{
    int i,rez=sum(r);
    bool f=0,l=0;
    while(r>1)
    {
        l=0;
        for(i=2; i<=round(sqrt(r)); i++)
        {
            if(r%i==0)
            {
                l=1;
                f=1;
                rez-=sum(i);
                r/=i;
                break;
            }
        }
        if(l==0){rez-=sum(r);break;}
    }
    if(f==0)
    {
        return 0;
    }
    else
    {
        if(rez==0)
        {
            return 1;
        }
        else
        {
            return 0;
        }
    }
}
int main()
{
    cin>>n;
    for(i=1; i<=n; i++)
    {
        cin>>a[i];
    }
    for(i=1; i<=n; i++)
    {
        k=a[i]+1;
        while(1==1)
        {
            if(smit(k)==1){cout<<k<<" ";break;}
            k++;
        }
    }
    return 0;
}
